## sumaclust 1.0.10

=== sumalibs/libfasta/Makefile ===

SOURCES = fasta_header_parser.c \
		  fasta_seq_writer.c \
		  fasta_header_handler.c \
		  header_mem_handler.c \
          sequence.c 
                   
SRCS=$(SOURCES)

         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE = libfasta.a
RANLIB = ranlib


include ../global.mk

all: $(LIBFILE)

fasta_header_parser.c: fasta_header_parser.l
	flex -Pheader_yy -t $< > $@

dic_parser.c: dic_parser.l
	lex -Phashtable_yy -t $< > $@

clean:
	rm -rf $(OBJECTS) $(LIBFILE)
	rm -f *.a

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

=== debian/changelog ===
sumaclust (1.0.10-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #795176)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Aug 2015 14:59:19 +0200

=== debian/control ===
Source: sumaclust
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumaclust/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sumaclust/trunk/
Homepage: http://metabarcoding.org/sumaclust

Package: sumaclust
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast and exact clustering of genomic sequences
 With the development of next-generation sequencing, efficient tools are
 needed to handle millions of sequences in reasonable amounts of time.
 Sumaclust is a program developed by the LECA. Sumaclust aims to cluster
 sequences in a way that is fast and exact at the same time. This tool
 has been developed to be adapted to the type of data generated by DNA
 metabarcoding, i.e. entirely sequenced, short markers. Sumaclust
 clusters sequences using the same clustering algorithm as UCLUST and CD-
 HIT. This algorithm is mainly useful to detect the 'erroneous' sequences
 created during amplification and sequencing protocols, deriving from
 'true' sequences.

## sumaclust 1.0.20

=== Makefile ===
EXEC=sumaclust

SUMACLUST_SRC= sumaclust.c \
               mtcompare_sumaclust.c

             
SUMACLUST_OBJ= $(patsubst %.c,%.o,$(SUMACLUST_SRC))


SRCS= $(SUMACLUST_SRC)

LIB= -lfasta -llcs -lfile -lutils -lm #-ll


include ./global.mk

all: $(EXEC)


########
#
# sumaclust compilation
#
########

# executable compilation and link

ifeq ($(CC),gcc)
        LFLAGS = -fopenmp 
else
        LFLAGS = 
endif

sumaclust: $(SUMACLUST_OBJ) $(LIBFASTA) $(LIBLCS) $(LIBFILE) $(LIBUTILS)
	$(CC) $(LDFLAGS) -o $@ $(LFLAGS) $(SUMACLUST_OBJ) $(LIB) $(LIBFASTAPATH) $(LIBLCSPATH) $(LIBFILEPATH) $(LIBUTILSPATH)
	
########
#
# project management
#
########

clean:
	rm -f *.o	
	rm -f *.P
	rm -f $(EXEC)
	$(MAKE) -C ./sumalibs/libfasta clean
	$(MAKE) -C ./sumalibs/liblcs clean
	$(MAKE) -C ./sumalibs/libfile clean
	$(MAKE) -C ./sumalibs/libutils clean

=== debian/changelog ===
sumaclust (1.0.20-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 13:02:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumaclust/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumaclust/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sumaclust/trunk/
 Homepage: http://metabarcoding.org/sumaclust

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Build fails when trying to set this
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	#Upstream is very messy.  Scrub out all the .svn stuff
	#and .o files.
	find sumalibs -name '*.[oa]' -delete

override_dh_compress:
	dh_compress --exclude=.pdf

# May be it makes sense at some point in time to use *.md
# source for the manpage - currently the result is not really
# the usual manpage structure
#override_dh_installman:
#	go-md2man -in=sumatra_user_manual.md -out=sumatra.1

## sumaclust 1.0.31

=== debian/changelog ===
sumaclust (1.0.31-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 18 Oct 2017 20:06:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumaclust/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sumaclust/trunk/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sumaclust.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/sumaclust.git
 Homepage: http://metabarcoding.org/sumaclust
 
 Package: sumaclust

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Build fails when trying to set this
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3

https://git.metabarcoding.org/obitools/sumaclust/wikis/home .*/sumaclust/uploads/.*/sumaclust_v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

# sumaclust is maintained in a Gitlab repository
#    https://wiki.debian.org/debian/watch#Gitlab
# recommends something like this but it does not work
# opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/<project>-$1\.tar\.gz/g \
#  https://git.metabarcoding.org/obitools/sumaclust/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## sumaclust 1.0.34

=== debian/changelog ===
sumaclust (1.0.34-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Steffen Moeller <moeller@debian.org>  Fri, 29 Nov 2019 13:38:31 +0100

sumaclust (1.0.31-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 10:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sumaclust.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sumaclust.git
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/sumaclust
+Vcs-Git: https://salsa.debian.org/med-team/sumaclust.git
 Homepage: http://metabarcoding.org/sumaclust
 
 Package: sumaclust

## sumaclust 1.0.35

=== debian/changelog ===
sumaclust (1.0.35-2) unstable; urgency=medium

  * Updating fix_build patch after new upstream version
  * Providing autopkgtests
  * Providing those tests in /usr/share/doc/sumaclust/examples

 -- Pierre Gruet <pgtdebian@free.fr>  Sat, 04 Apr 2020 08:44:33 +0200

sumaclust (1.0.35-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 08:18:04 +0200

sumaclust (1.0.34-2) unstable; urgency=medium

  * Fix Build
    Closes: #952093, #954262
  * Polish watch file
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Apr 2020 14:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: sumaclust
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Pierre Gruet <pgtdebian@free.fr>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/sumaclust
 Vcs-Git: https://salsa.debian.org/med-team/sumaclust.git
 Homepage: http://metabarcoding.org/sumaclust
+Rules-Requires-Root: no
 
 Package: sumaclust
 Architecture: any

=== debian/rules ===


=== debian/watch ===
version=4

https://git.metabarcoding.org/obitools/sumaclust/wikis/home .*/sumaclust/uploads/.*/sumaclust_v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## sumaclust 1.0.36%2Bds

=== debian/changelog ===
sumaclust (1.0.36+ds-4) unstable; urgency=medium

  * Restricting architectures of autopkgtests

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Feb 2025 10:18:48 +0100

sumaclust (1.0.36+ds-3) unstable; urgency=medium

  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)
  * Use -Wno-incompatible-pointer-types to build with gcc-14
    Closes: #1075545
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2024 14:02:56 +0100

sumaclust (1.0.36+ds-2) unstable; urgency=medium

  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Marking the patches as Forwarded: not-needed

  [ Andreas Tille ]
  * Remove some cruft from upstream tarball

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Jul 2022 23:41:08 +0200

sumaclust (1.0.36+ds-1) unstable; urgency=medium

  * New upstream version 1.0.36+ds
  * Adding build-dependency on libsuma-dev
  * Deleting now useless dh_clean override
  * Patching to use Debian packaged sumalibs
  * Updating debian/watch to fit new +ds version

 -- Pierre Gruet <pgtdebian@free.fr>  Tue, 14 Apr 2020 13:43:47 +0200

sumaclust (1.0.35-3) unstable; urgency=medium

  * Adding a patch to read ACGT-only sequences safely, fixing regression
    on amd64 (Closes: #956232)

 -- Pierre Gruet <pgtdebian@free.fr>  Wed, 08 Apr 2020 21:49:49 +0200

## sumaclust 1.0.36+ds

=== Makefile ===
PREFIX=/usr/local

CFLAGS=-I$(PREFIX)/include

EXEC = sumaclust

SUMACLUST_SRC = sumaclust.c \
                mtcompare_sumaclust.c

SUMACLUST_OBJ = $(patsubst %.c,%.o,$(SUMACLUST_SRC))

SRCS = $(SUMACLUST_SRC)

LIB = -lsuma -lm #-ll

include ./global.mk

all: $(EXEC)


########
#
# sumaclust compilation
#
########

# executable compilation and link

ifeq ($(CC),gcc)
        LFLAGS = -fopenmp 
else
        LFLAGS = 
endif

sumaclust: $(SUMACLUST_OBJ) $(LIBSUMA)
	$(CC) $(LDFLAGS) -o $@ $(LFLAGS) $(SUMACLUST_OBJ) $(LIB) $(LIBSUMAPATH)
	
########
#
# project management
#
########

clean:
	rm -f $(SUMACLUST_OBJ)	
	rm -f $(EXEC)
	$(MAKE) -C ./sumalibs clean

install: all
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 $(EXEC) $(DESTDIR)$(PREFIX)/bin/

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: sumaclust
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>,
-           Pierre Gruet <pgtdebian@free.fr>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Pierre Gruet <pgt@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+	       libsuma-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/sumaclust
 Vcs-Git: https://salsa.debian.org/med-team/sumaclust.git
 Homepage: http://metabarcoding.org/sumaclust

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/tests/control ===
# These tests never passed on armel nor armhf
Tests: clusterIdenticalInputs, clusterThreeInputs, clusterTwoInputsTwoSuccessiveCalls, clusterTwoInputsTwoThresholds
Depends: @
Architecture: !armel !armhf

=== debian/watch ===
version=4

opts=dversionmangle=s/\+ds// \
https://git.metabarcoding.org/obitools/sumaclust/wikis/home .*/sumaclust/uploads/.*/sumaclust_v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
